# Usage

## List

**get** `/compute/v1/admin/usage`

Retrieve aggregated usage data across the organization, optionally grouped by workspace and/or application.

### Query Parameters

- `ending_at: string`

  End of the time range as an ISO 8601 date-time with timezone, for example 2026-04-08T18:56:46Z

- `starting_at: string`

  Start of the time range as an ISO 8601 date-time with timezone, for example 2026-04-08T18:56:46Z

- `window_size: "HOUR" or "DAY"`

  Time window size. HOUR supports up to 31 days per query; DAY supports up to 365 days per query.

  - `"HOUR"`

  - `"DAY"`

- `"applications[]": optional "structure_and_binding" or "small_molecule_design" or "small_molecule_library_screen" or 3 more or array of "structure_and_binding" or "small_molecule_design" or "small_molecule_library_screen" or 3 more`

  Filter to specific applications

  - `UnionMember0 = "structure_and_binding" or "small_molecule_design" or "small_molecule_library_screen" or 3 more`

    - `"structure_and_binding"`

    - `"small_molecule_design"`

    - `"small_molecule_library_screen"`

    - `"protein_design"`

    - `"protein_library_screen"`

    - `"adme"`

  - `UnionMember1 = array of "structure_and_binding" or "small_molecule_design" or "small_molecule_library_screen" or 3 more`

    - `"structure_and_binding"`

    - `"small_molecule_design"`

    - `"small_molecule_library_screen"`

    - `"protein_design"`

    - `"protein_library_screen"`

    - `"adme"`

- `"group_by[]": optional "workspace_id" or "application" or array of "workspace_id" or "application"`

  Group results by workspace_id and/or application

  - `UnionMember0 = "workspace_id" or "application"`

    - `"workspace_id"`

    - `"application"`

  - `UnionMember1 = array of "workspace_id" or "application"`

    - `"workspace_id"`

    - `"application"`

- `limit: optional number`

  Maximum number of buckets to return

- `page: optional string`

  Cursor for pagination

- `"workspace_ids[]": optional string or array of string`

  Filter to specific workspace IDs

  - `UnionMember0 = string`

  - `UnionMember1 = array of string`

### Returns

- `data: array of object { end_time, quantity, start_time, 2 more }`

  - `end_time: string`

  - `quantity: number`

    Aggregated billed quantity for this bucket

  - `start_time: string`

  - `application: optional "structure_and_binding" or "small_molecule_design" or "small_molecule_library_screen" or 3 more`

    - `"structure_and_binding"`

    - `"small_molecule_design"`

    - `"small_molecule_library_screen"`

    - `"protein_design"`

    - `"protein_library_screen"`

    - `"adme"`

  - `workspace_id: optional string`

    Present when grouped by workspace_id

- `has_more: boolean`

- `next_page: string`

### Example

```http
curl https://api.boltz.bio/compute/v1/admin/usage \
    -H "x-api-key: $BOLTZ_API_KEY"
```
